"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var react_native_1 = require("react-native");
var test_tools_1 = require("@fluentui-react-native/test-tools");
var renderer = tslib_1.__importStar(require("react-test-renderer"));
var useKeyProps_1 = require("../useKeyProps");
var dummyFunction = function () {
    console.log('dummy');
};
// Simple wrapper function to let us use `PressablePropsExtended` to fix type errors
var PressableWithDesktopProps = function (props) {
    return React.createElement(react_native_1.Pressable, tslib_1.__assign({}, props));
};
it('Pressable with useKeyProps', function () {
    var TestComponent = function () {
        var keyboardProps = (0, useKeyProps_1.useKeyProps)(dummyFunction, ' ', 'Enter');
        return React.createElement(PressableWithDesktopProps, tslib_1.__assign({}, keyboardProps));
    };
    var tree = renderer.create(React.createElement(TestComponent, null)).toJSON();
    expect(tree).toMatchSnapshot();
});
it('useKeyProps called twice', function () {
    var TestComponent = function () {
        var keyboardProps1 = (0, useKeyProps_1.useKeyProps)(dummyFunction, ' ', 'Enter');
        var keyboardProps2 = (0, useKeyProps_1.useKeyProps)(dummyFunction, ' ', 'Enter');
        expect(keyboardProps1).toBe(keyboardProps2);
        return React.createElement(PressableWithDesktopProps, tslib_1.__assign({}, keyboardProps2));
    };
    var tree = renderer.create(React.createElement(TestComponent, null)).toJSON();
    expect(tree).toMatchSnapshot();
});
it('Pressable with useKeyProps simple rendering does not invalidate styling', function () {
    var TestComponent = function () {
        var keyboardProps = (0, useKeyProps_1.useKeyProps)(dummyFunction, ' ', 'Enter');
        return React.createElement(PressableWithDesktopProps, tslib_1.__assign({}, keyboardProps));
    };
    (0, test_tools_1.checkRenderConsistency)(function () { return React.createElement(TestComponent, null); }, 2);
});
it('Pressable with useKeyProps re-renders correctly', function () {
    var TestComponent = function () {
        var keyboardProps = (0, useKeyProps_1.useKeyProps)(dummyFunction, ' ', 'Enter');
        return React.createElement(PressableWithDesktopProps, tslib_1.__assign({}, keyboardProps));
    };
    (0, test_tools_1.checkReRender)(function () { return React.createElement(TestComponent, null); }, 2);
});
//# sourceMappingURL=useKeyProps.test.js.map