"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useSelectedKey = void 0;
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
// This hook updates the selected button and calls the client's onChange callback with the new button
function useSelectedKey(defaultSelectedKey, userCallback) {
    var _a = React.useState(defaultSelectedKey), selectedKey = _a[0], setSelectedKey = _a[1];
    var onKeySelect = React.useCallback(function (key) {
        setSelectedKey(key);
        userCallback && userCallback(key);
    }, [setSelectedKey, userCallback]);
    return { onKeySelect: onKeySelect, selectedKey: selectedKey };
}
exports.useSelectedKey = useSelectedKey;
//# sourceMappingURL=useSelectedKey.hooks.js.map