import * as React from 'react';
import type { GestureResponderEvent } from 'react-native';
export type OnPressCallback = (args: GestureResponderEvent) => void;
export type OnPressWithFocusCallback = (args: GestureResponderEvent) => void;
/**
 * Sets focus on the focusRef after calling the userCallback for onPress, if that is an expected behavior on the platform
 * @param focusRef the ref used to set focus, generally the ref of the component that is being pressed
 * @param userCallback user-provided callback for onPress behavior
 * @returns Hook that sets focus, then calls the user callback
 */
export declare function useOnPressWithFocus(focusRef: React.RefObject<any>, userCallback: OnPressCallback): OnPressWithFocusCallback;
//# sourceMappingURL=useOnPressWithFocus.d.ts.map