import type { HoverState, FocusState, PressState, PressableState, PressableFocusProps, PressableHoverProps, PressablePressProps, PressablePropsExtended } from './usePressableState.types';
/**
 * hover specific state and callback helper
 */
export declare function useHoverHelper(props: PressableHoverProps): [PressableHoverProps, HoverState];
/**
 * focus specific state and callback helper
 */
export declare function useFocusHelper(props: PressableFocusProps): [PressableFocusProps, FocusState];
/**
 * press specific state and callback helper
 */
export declare function usePressHelper(props: PressablePressProps): [PressablePressProps, PressState];
/**
 * This routine hooks the props to pass to a Pressable component to obtain the current state of the Pressable as well as generating
 * state change updates when those props change. This allows a parent component to control the render of the whole component rather than having
 * to split the code between a child function or style function.
 *
 * @param props - props to pass to a Pressable component
 * @returns - modified props to pass into the Pressable as well as the current state with regards to hover, focus, and press
 */
export declare function usePressableState(props: PressablePropsExtended): {
    props: PressablePropsExtended;
    state: PressableState;
};
//# sourceMappingURL=usePressableState.d.ts.map