import * as React from 'react';
// This hook updates the selected button and calls the client's onChange callback with the new button
export function useSelectedKey(defaultSelectedKey, userCallback) {
    var _a = React.useState(defaultSelectedKey), selectedKey = _a[0], setSelectedKey = _a[1];
    var onKeySelect = React.useCallback(function (key) {
        setSelectedKey(key);
        userCallback && userCallback(key);
    }, [setSelectedKey, userCallback]);
    return { onKeySelect: onKeySelect, selectedKey: selectedKey };
}
//# sourceMappingURL=useSelectedKey.hooks.js.map